<?php
/**
 * The template for displaying all blog posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Billow
 */
get_header();
?>

	<div id="blw-blog-primary" class="blw-blog-content-area container">
		<main id="main" class="blw-blog-site-main">

			<header class="blw-blog-page-header <?php echo esc_html( get_theme_mod( 'billow_posts_title_align', 'title-center' ) ); ?>">
				<h1 class="title"><?php echo esc_html( esc_html__( 'Blog', 'billow' ) ); ?></h1>
				<span class="background <?php echo esc_html( get_theme_mod( 'billow_posts_bc_align', 'bc-center' ) ); ?>"><?php echo esc_html( esc_html__(  'blog', 'billow' ) ); ?></span>
			</header><!-- .page-header -->

			<div class="main-wrap <?php echo esc_html( get_theme_mod( 'billow_posts_sidebar_position', 'sidebar-none' ) ); ?>">
				<div class="main-content blw-blog-posts <?php echo esc_html( get_theme_mod( 'billow_posts_structure', 'classic' ) ); ?>">

					<?php
					if ( have_posts() ) {
						/* Start the Loop */
						while ( have_posts() ) {
							the_post();

							get_template_part( 'template-parts/content/content', 'blog' );


						}// End of the loop.
					} else {
						get_template_part( 'template-parts/content/content/content', 'none' );
					}
					?>

				</div>
				<div class="blw-pagination">
					<?php the_posts_pagination(); ?>
				</div>

				<?php get_sidebar(); ?>

			</div>

		</main><!-- #main -->
	</div><!-- #blw-blog-primary -->

<?php
get_footer();
