<?php

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function billow_body_classes( $classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}

	// Adds a class of no-sidebar when there is no sidebar present.
	if ( ! is_active_sidebar( 'sidebar-1' ) ) {
		$classes[] = 'no-sidebar';
	}

	// Adds a class of theme style
	$classes[] = get_theme_mod( 'billow_theme_style', 'theme-style-default' );

	// Background image visibility
	if( 0 == intval( get_theme_mod( 'billow_home_page_bc_image_visibility', 1 ) ) ) {
		$classes[] = 'front-bc-image-off';
	}

	// Sticky Menu
	if( 1 == intval( get_theme_mod( 'billow_sticky_menu', 1 ) ) ) {
		$classes[] = 'sticky-menu';
	}

	// Header Box Shadow
	if( 1 == intval( get_theme_mod( 'billow_header_box_shadow', 1 ) ) ) {
		$classes[] = 'header-boxshadow-on';
	}

	// Menu Indicator
	$classes[] = get_theme_mod( 'billow_menu_indicator', 'menu-indicator-type-1' );

	// Social icons color
	$classes[] = get_theme_mod( 'billow_social_links_color', 'blw-social-icon-custom' );

	// Social icons shape
	$classes[] = get_theme_mod( 'billow_social_links_shape', 'blw-social-icon-none' );

	return $classes;

}
add_filter( 'body_class', 'billow_body_classes' );
