<?php

$wp_customize->add_panel( 'billow_footer', array(
	'priority'       => 80,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __( 'Footer', 'billow' ),
) );

//-- WIDGETS
$wp_customize->add_section( 'billow_footer_widget' , array(
	'priority'       => 20,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Widgets', 'billow'),
	'panel'          => 'billow_footer',
) );

//-- billow_footer_widget_title_color
$wp_customize->add_setting( 'billow_footer_widget_title_color', array(
	'default' 			   => '#ffffff',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'refresh',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_footer_widget_title_color', array(
	'label'   => __( 'Title Color', 'billow' ),
	'section' => 'billow_footer_widget',
) ) );

//-- billow_footer_widget_text_color
$wp_customize->add_setting( 'billow_footer_widget_text_color', array(
	'default' 			   => '#ffffff',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'refresh',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_footer_widget_text_color', array(
	'label'   => __( 'Text Color', 'billow' ),
	'section' => 'billow_footer_widget',
) ) );

//-- billow_footer_widget_link_color
$wp_customize->add_setting( 'billow_footer_widget_link_color', array(
	'default' 			   => '#ffffff',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'refresh',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_footer_widget_link_color', array(
	'label'   => __( 'Link Color', 'billow' ),
	'section' => 'billow_footer_widget',
) ) );

//-- billow_footer_widget_hover_link_color
$wp_customize->add_setting( 'billow_footer_widget_hover_link_color', array(
	'default' 			   => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'refresh',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_footer_widget_hover_link_color', array(
	'label'   => __( 'Hover Link Color', 'billow' ),
	'section' => 'billow_footer_widget',
) ) );

//-- billow_footer_bc_color
$wp_customize->add_setting( 'billow_footer_bc_color', array(
	'default' 			   => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'refresh',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_footer_bc_color', array(
	'label'   => __( 'Background Color', 'billow' ),
	'section' => 'billow_footer_widget',
) ) );

//-- billow_footer_bc_image
$wp_customize->add_setting( 'billow_footer_bc_image', array(
	'sanitize_callback' => 'billow_text_sanitization',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'billow_footer_bc_image', array(
	'label'   => __( 'Background Image', 'billow' ),
	'section' => 'billow_footer_widget',
) ) );

//-- COPYRIGHT
$wp_customize->add_section( 'billow_footer_copyright' , array(
	'priority'       => 20,
	'capability'     => 'edit_theme_options',
	'theme_supports' => '',
	'title'          => __('Copyright', 'billow'),
	'panel'          => 'billow_footer',
) );

//-- billow_copyright_align
$wp_customize->add_setting( 'billow_copyright_align', array(
	'default'           => 'align-center',
	'sanitize_callback' => 'billow_text_sanitization',
	'transport'			=> 'postMessage',
) );

$wp_customize->add_control( new Billow_Text_Radio_Button_Custom_Control( $wp_customize, 'billow_copyright_align', array(
	'label'   => __( 'Horizontal Alignment', 'billow' ),
	'section' => 'billow_footer_copyright',
	'choices' => array(
		'align-left'   => __( 'Left', 'billow' ),
		'align-center' => __( 'Center', 'billow' ),
		'align-right'  => __( 'Right', 'billow' )
	) )
) );

//-- billow_copyright_bc_color
$wp_customize->add_setting( 'billow_copyright_bc_color', array(
	'default' 			   => '',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'refresh',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_copyright_bc_color', array(
	'label'   => __( 'Background Color', 'billow' ),
	'section' => 'billow_footer_copyright',
) ) );

//-- billow_copyright_font_color
$wp_customize->add_setting( 'billow_copyright_font_color', array(
	'default' 			   => '#ffffff',
	'sanitize_callback'    => 'sanitize_hex_color_no_hash',
	'sanitize_js_callback' => 'maybe_hash_hex_color',
	'transport'			   => 'refresh',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'billow_copyright_font_color', array(
	'label'   => __( 'Font Color', 'billow' ),
	'section' => 'billow_footer_copyright',
) ) );

//-- billow_copyright_font
billow_customizer_add_typography( $wp_customize, 'billow_copyright_font', 'billow_footer_copyright', array(
	'billow_copyright_font' => __( 'Font Family', 'billow'),
) );

//-- billow_copyright_border
billow_customizer_add_border( $wp_customize, 'billow_copyright_border', 'billow_footer_copyright', array(
	'billow_copyright_border'       => __( 'Dividing Line', 'billow'),
	'billow_copyright_border_style' => __( 'Dividing Line Style', 'billow'),
	'billow_copyright_border_color' => __( 'Dividing Line Color', 'billow'),
) );

//-- padding
billow_customizer_add_padding( $wp_customize, 'billow_copyright_padding', 'billow_footer_copyright' );
