<?php

class Billow_Customizer_CSS_Number_With_Units_Control extends WP_Customize_Control {

	public function enqueue() {
		wp_enqueue_style( 'billow-css-number-with-units-control', trailingslashit( get_template_directory_uri() ) . 'inc/customizer/control-css-number-with-units/control.css', NULL, NULL, 'all' );
	}

	/**
	 * Render the control's content.
	 *
	 * @author soderlind
	 * @version 1.2.0
	 */
	public function render_content() {
		//note, this is just a copy of what the core default behaviour prints, with a wrapper.
				?>
			<div class="css-number-with-units">
				<?php if ( ! empty( $this->label ) ) : ?>
					<label class="customize-control-title"><?php echo esc_html( $this->label ); ?></label>
				<?php endif; ?>
				<?php if ( ! empty( $this->description ) ) : ?>
					<span id="<?php echo esc_attr( $description_id ); ?>" class="description customize-control-description"><?php echo esc_html( $this->description ); ?></span>
				<?php endif; ?>
				<input
					type="<?php echo esc_attr( $this->type ); ?>"
					<?php $this->input_attrs(); ?>
					<?php if ( ! isset( $this->input_attrs['value'] ) ) : ?>
						value="<?php echo esc_attr( $this->value() ); ?>"
					<?php endif; ?>
					<?php $this->link(); ?>
					/>
			</div>
				<?php
	}
}