<?php
/**
 * Partial: Header image part of single post
 */
?>

<?php if ( has_post_thumbnail() ) : ?>
<header class="post-entry-header with-thumbnail">

	<?php billow_post_thumbnail(); ?>

	<div class="blw-overlay">

		<?php if( intval( get_theme_mod( 'billow_single_post_title_visibility', 1 ) ) ): ?>
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
		<?php endif; ?>

		<?php if ( 'post' === get_post_type() ) : ?>
			<div class="entry-meta">
				<?php
				if( intval( get_theme_mod( 'billow_single_post_date_visibility', 1 ) ) ):
					billow_posted_on();
				endif;
				if( intval( get_theme_mod( 'billow_single_post_tags_visibility', 1 ) ) ):
					billow_post_tag_links();
				endif;
				if( intval( get_theme_mod( 'billow_single_post_category_visibility', 1 ) ) ):
					billow_post_category_links();
				endif;
				?>
			</div>

			<?php if( intval( get_theme_mod( 'billow_social_links_single_post_visibility', 1 ) ) ): ?>
				<ul class="social-networks <?php echo esc_html( get_theme_mod( 'billow_social_links_align', 'align-center' ) ); ?>">
					<?php get_template_part( 'template-parts/socials' ); ?>
				</ul>
			<?php endif; ?>
		<?php endif; ?>

	</div>
</header><!-- .entry-header -->

<?php else : ?>
	<header class="post-entry-header without-thumbnail">
	<div class="blw-overlay">

		<?php if( intval( get_theme_mod( 'billow_single_post_title_visibility', 1 ) ) ): ?>
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
		<?php endif; ?>

		<?php if ( 'post' === get_post_type() ) : ?>
			<div class="entry-meta">
				<?php
				if( intval( get_theme_mod( 'billow_single_post_date_visibility', 1 ) ) ):
					billow_posted_on();
				endif;
				if( intval( get_theme_mod( 'billow_single_post_tags_visibility', 1 ) ) ):
					billow_post_tag_links();
				endif;
				if( intval( get_theme_mod( 'billow_single_post_category_visibility', 1 ) ) ):
					billow_post_category_links();
				endif;
				?>
			</div>
		<?php endif; ?>

	</div>
</header><!-- .entry-header -->
<?php endif; ?>
